<?php

class KUPAYWCCodes {

	public static $StatusInfos
		= array(
			// クロネコ側の命名
//		'0'  => '決済依頼済み',
//		'1'  => '決済申込完了',
//		'2'  => '入金完了（速報）',
//		'3'  => '入金完了（確報）',
//		'4'  => '与信完了',
//		'5'  => '予約受付完了',
//		'6'  => '継続課金申込完了',
//		'11' => '購入者都合エラー',
//		'12' => '加盟店都合エラー',
//		'13' => '決済機関都合エラー',
//		'14' => 'その他システムエラー',
//		'15' => '予約販売与信エラー',
//		'16' => '決済依頼取消エラー',
//		'17' => '金額変更ＮＧ',
//		'18' => '継続課金与信エラー',
//		'20' => '決済中断',
//		'21' => '決済手続き中',
//		'22' => '継続課金停止中',
//		'30' => '精算確定待ち',
//		'31' => '精算確定',
//		'40' => '取消',
			'0'  => '決済依頼済み',
			'1'  => '決済申込完了',
			'2'  => '入金完了（速報）',
			'3'  => '入金完了（確報）',
			'4'  => '与信',
			'5'  => '予約受付完了',
			'6'  => '継続課金申込完了',
			'11' => '購入者都合エラー',
			'12' => '加盟店都合エラー',
			'13' => '決済機関都合エラー',
			'14' => 'その他システムエラー',
			'15' => '予約販売与信エラー',
			'16' => '決済依頼取消エラー',
			'17' => '金額変更ＮＧ',
			'18' => '継続課金与信エラー',
			'20' => '決済中断',
			'21' => '決済手続き中',
			'22' => '継続課金停止中',
			'30' => '売上確定',
			'31' => '売上確定',
			'40' => '取消',
			//独自取引情報
			'41' => '金額変更',

		);

	public static $SettlementMethods
		= array(
			'1'  => 'ＵＣ',
			'2'  => 'ダイナース',
			'3'  => 'ＪＣＢ',
			'4'  => 'ＤＣ',
			'5'  => '三井住友クレジット',
			'6'  => 'ＵＦＪ',
			'7'  => 'クレディセゾン',
			'8'  => 'ＮＩＣＯＳ',
			'9'  => 'ＶＩＳＡ',
			'10' => 'ＭＡＳＴＥＲ',
			'11' => 'イオンクレジット',
			'12' => 'アメックス',
			'21' => 'セブン-イレブン',
			'22' => 'ローソン',
			'23' => 'ファミリーマート',
			'24' => 'セイコーマート',
			'25' => 'ミニストップ',
			'26' => 'サークルＫサンクス',
			'41' => '楽天銀行',
			'61' => '楽天Edy',
			'62' => '楽天Edy(おサイフケータイ)',
			'63' => 'Suica インターネットサービス',
			'64' => 'モバイルSuica',
			'65' => 'WAON',
			'66' => 'モバイルWAON／モバイル JMB WAON',
		);

	public static $CGErrorCodes
		= array(
			'C01'     => '被仕向会社コードエラー',
			'C03'     => '最大電文長エラー',
			'C12'     => '被仕向センタビジー',
			'C13'     => '被仕向センタ障害中',
			'C14'     => '被仕向センタ個別終了',
			'C15'     => 'CAFIS センタ終了',
			'C17'     => 'エンコード不正',
			'C33'     => 'CAFIS 輻輳中',
			'C34'     => '加盟店ショッピングデータフォーマット不正',
			'C35'     => 'アドバイス電文受信済',
			'C50'     => 'タイムアウト',
			'C51'     => '経路重複',
			'C53'     => '仕向会社コードエラー',
			'C54'     => '電文種別エラー',
			'C55'     => '経路範囲外エラー',
			'C56'     => '電文対応エラー',
			'C57'     => '当該会社サービスなし',
			'C58'     => 'ニューメリックチェックエラー',
			'C60'     => '受信不可能状態で電文受信',
			'G02'     => 'カードローン融資残高不足',
			'G03'     => 'カードローン限度額オーバ',
			'G04'     => 'キャッシング融資残高不足',
			'G05'     => 'キャッシング限度額オーバ',
			'G12'     => 'カード使用不可',
			'G22'     => '支払永久禁止',
			'G30'     => '取引判定保留（有人判定）',
			'G42'     => '暗証番号エラー',
			'G44'     => 'セキュリティコード誤り',
			'G45'     => 'セキュリティコード入力無',
			'G46'     => 'JIS２面情報エラー',
			'G54'     => '１口座利用回数または金額オーバー',
			'G55'     => '１日利用限度額オーバー',
			'G56'     => 'クレジットカード取り込み',
			'G60'     => '事故カード',
			'G61'     => '無効カード',
			'G65'     => '会員番号エラー',
			'G67'     => '商品コードエラー',
			'G68'     => '金額エラー',
			'G69'     => '税送料エラー',
			'G70'     => 'ボーナス回数エラー',
			'G71'     => 'ボーナス月エラー',
			'G72'     => 'ボーナス額エラー',
			'G73'     => '支払開始月エラー',
			'G74'     => '分割回数エラー',
			'G75'     => '分割金額エラー',
			'G76'     => '初回金額エラー',
			'G77'     => '業務区分エラー',
			'G78'     => '支払区分エラー',
			'G79'     => '照会区分エラー',
			'G80'     => '取消区分エラー',
			'G81'     => '取扱区分エラー',
			'G83'     => '有効期限エラー',
			'G85'     => 'サービス対象外カード',
			'G95'     => '当該業務オンライン終了',
			'G96'     => '事故カードデータエラー',
			'G97'     => '当該要求拒否',
			'G98'     => '当該自社対象業務エラー',
			'G99'     => '接続要求自社受付拒否',
			'999'     => 'CAFIS 応答タイムアウト',
			'0200001' => 'カード情報入力エラー（チェックデジットエラー）',
			'0200002' => '通信エラー（CAFIS より不当な電文を受信）',
			'0200003' => 'カード情報入力エラー（カード会社指定エラー）',
			'0400001' => '通信エラー（ＤＢアクセスエラー）',
			'0500001' => '通信エラー（CAFIS 通信エラー）',
			'0500002' => '通信エラー（クレジット決済ＧＷ通信エラー）',
			'0600001' => '通信エラー（パラメータ指定漏れ）',
			'0600002' => '通信エラー（パラメータ形式エラー）',
			'0700001' => '通信エラー（処理対象レコードが存在しない）',
			'9900001' => '通信エラー（システムエラー）',
		);

	public static $secure3DErrorCodes
		= array(
			'0000' => array( 'label' => '認証成功', 'description' => '認証成功' ),
			'0001' => array( 'label' => '認証成功', 'description' => '認証成功' ),
			'0002' => array( 'label' => '認証失敗', 'description' => '入力されたパスワードに誤りがある、または３Ｄセキュア パスワード入力画面でキャンセルボタンを押下' ),
			'0003' => array(
				'label'       => 'Attempt',
				'description' => '認証成功※Attempt は、カードユーザーが３D セキュアの本人認証に未参加であっても認証OK とする場合に返却'
			),
			'0004' => array(
				'label'       => 'Attempt',
				'description' => '認証成功※Attempt は、カードユーザーが３D セキュアの本人認証に未参加であっても認証OK とする場合に返却'
			),
			'0005' => array( 'label' => '３Ｄ認証対象外ブランド', 'description' => '３Ｄセキュアの対象外カード（アメックス等）である' ),
			'0006' => array(
				'label'       => '未参加',
				'description' => 'クレジットカード発行会社またはカードユーザーが３Ｄセキュアの本人認証に未参加、またはACS（３Ｄセキュア認証サーバ）が障害／停止中である※３Ｄセキュアによる本人認証を迂回し自動的に与信処理を実行します'
			),
			'0007' => array( 'label' => '認証実行不能', 'description' => 'ACS 障害等により本人認証が実行できない' ),
			'0008' => array( 'label' => '認証実行不能', 'description' => 'ACS から不正な値が返却された等により本人認証が実行できない' ),
			'0009' => array( 'label' => '認証実行不能', 'description' => 'DS に接続できない、DS から不正な値が返却された等により本人認証が実行できない' ),
			'0010' => array(
				'label'       => '認証実行不能',
				'description' => 'ACS から不正な値が返却された、無効なセッションに対しACS から返答がきた等により本人認証が実行できない'
			),
			'0011' => array( 'label' => 'PARes 署名 検証失敗', 'description' => '３Ｄセキュア側の署名が確認できず本人認証が実行できない' ),
			'0012' => array( 'label' => 'PARes 署名 検証失敗', 'description' => '３Ｄセキュア側の署名が確認できず本人認証が実行できない' ),
			'0998' => array( 'label' => '未参加', 'description' => '３Ｄセキュアの対象外カード（ダイナース等）である' ),
			'0999' => array( 'label' => 'その他', 'description' => '規定外のエラー' ),
			'8001' => array( 'label' => 'クロネコｗｅｂコレクト内部エラー', 'description' => 'クロネコｗｅｂコレクト内部でトークン決済に関する処理中に発生するエラー' ),
			'8002' => array( 'label' => 'トークンデータ取得エラー', 'description' => 'トークンに紐付くクレジット情報を取得できない場合に発生するエラー' ),
			'8003' => array( 'label' => '決済GW DB アクセスエラー', 'description' => 'クロネコｗｅｂコレクト内部の決済サーバへのアクセスエラー' ),
			'8999' => array( 'label' => 'システムエラー', 'description' => 'タイムアウト、通信エラー等のシステムエラー' ),
			'9001' => array( 'label' => '指定パラメータ誤り', 'description' => 'POST 電文チェック、チェックデジットの誤り' ),
			'9003' => array( 'label' => '決済GWDB アクセスエラー', 'description' => '当社システム内の決済サーバへのアクセスエラー' ),
			'9999' => array( 'label' => 'システムエラー', 'description' => 'タイムアウト、通信エラー等のシステムエラー' ),
		);

	public static $APIErrorCodes
		= array(
			'Z012000001' => array(
				'label'       => 'リクエスト方式誤り',
				'description' => 'POST 方式以外のリクエスト方式 （GET 方式等）にてリクエストされております。リクエスト方式をご確認ください。'
			),
			'Z012000002' => array( 'label' => '機能区分なし', 'description' => '機能区分の設定がありません。' ),
			'Z012000003' => array( 'label' => '機能区分誤り', 'description' => '存在しない機能区分が設定されております。' ),
			'Z012000004' => array( 'label' => '受付番号重複', 'description' => '同受付番号にて決済中となっております。受付番号を変えて再度リクエストください。' ),
			'Z012000005' => array(
				'label'       => 'リクエストタイムアウト（API リクエスト時）',
				'description' => 'アクセスが集中しております。時間を空けて再度リクエスト下さい。'
			),
			'Z012000006' => array(
				'label'       => '同時処理数オーバー',
				'description' => '大量のトランザクションが一斉にリクエストされております。一度に大量のリクエストはご遠慮ください。'
			),
			'Z012000007' => array(
				'label'       => '加盟店コードの設定不備',
				'description' => '下記２パターンのどちらかに該当しております。リクエスト内容をご確認頂き、それぞれに合った対処をお願い致します。
								①加盟店コードに誤りがございます。審査完了後に発行される登録完了書に記載されている正しい加盟店コードを設定し、リクエストしてください。
								②利用開始日を迎えておりません。クロネコｗｅｂコレクト加盟店管理画面にて利用開始日を入力のうえ、利用開始日を迎えてからご利用ください。'
			),
			'Z012000008' => array(
				'label'       => 'API 利用申込なし',
				'description' => 'クロネコｗｅｂコレクトAPI 方式のご利用申込がされておりません。申し込まれていない加盟店様は、クロネコｗｅｂコレクト加盟店管理ログイン画面よりお申込みください。'
			),
			'Z012000009' => array(
				'label'       => '登録グローバルIP 誤り',
				'description' => 'ご登録頂いたIP アドレスと実際に接続頂いているIP アドレスが異なっております。実際に接続頂いているIP アドレスを今一度ご確認頂き、再度お申込みください。'
			),
			'Z012000010' => array(
				'label'       => '認証パスワードエラー',
				'description' => '下記２パターンのどちらかに該当しております。リクエスト内容をご確認頂き、それぞれに合った対処をお願い致します。
							①リクエスト頂いた認証パスワードが接続元認証（機能区分=F01）にて発行した認証パスワードと異なっている可能性がございます。リクエストした認証パスワードと発行した認証パスワードが同じ事をご確認ください。
							②接続元認証（機能区分=F01）にて発行した認証パスワードは発行後、30 分間のみ有効となります。30 分以上経過している場合は、再度認証パスワード発行してください。'
			),
			'Z012000011' => array(
				'label'       => 'リクエストタイムアウト（トークン発行時）',
				'description' => 'アクセスが集中しております。時間を空けて再度リクエスト下さい。'
			),
			'Z019999999' => array( 'label' => 'システムエラー', 'description' => 'クロネコｗｅｂコレクト内部における例外処理エラーが発生致しました。' ),
			'Z010000000' => array( 'label' => 'メンテナンス中', 'description' => 'サーバメンテナンス中です。メンテナンス終了後、再度リクエスト下さい。' ),

			'A081010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'A081010202' => array( 'label' => '加盟店コード桁数オーバー', 'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。' ),
			'A081010204' => array( 'label' => '加盟店コード誤り', 'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。' ),
			'A081010301' => array( 'label' => '端末区分なし', 'description' => '端末区分の設定がありません。' ),
			'A081010306' => array( 'label'       => '端末区分誤り',
			                       'description' => '端末区分に「1」、「2」以外の値が設定されておりますので、リクエスト内容をご確認ください。'
			),
			'A081010401' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'A081010402' => array(
				'label'       => '受付番号の桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'A081010404' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
							＜利用頂ける文字種別＞
							・半角数字
							・英字大文字
							・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'A081010501' => array( 'label' => '決済金額なし', 'description' => '決済金額の設定がありません。' ),
			'A081010502' => array( 'label' => '決済金額オーバー', 'description' => 'ご利用可能な決済金額をオーバーしております。' ),
			'A081010504' => array( 'label' => '決済金額文字種別誤り', 'description' => '決済金額に半角数字以外の文字種別が設定されております。' ),
			'A081010571' => array( 'label' => '決済金額誤り', 'description' => '決済金額は１円以上となっております。' ),
			'A081010572' => array( 'label' => '決済上限金額オーバー', 'description' => 'ご利用可能な決済金額上限をご確認ください。' ),
			'A081010601' => array( 'label' => '購入者名(漢字)なし', 'description' => '購入者名(漢字)の設定がありません。' ),
			'A081010671' => array(
				'label'       => '購入者名(漢字)にサポート外文字あり',
				'description' => '購入者名(漢字)にサポート対象外の文字が含まれております。購入者名(漢字)をご確認ください。また、購入者名(漢字)に半角カナがご利用頂けません。'
			),
			'A081010672' => array(
				'label'       => '購入者名(漢字)の桁数／バイト数オーバー',
				'description' => '購入者名(漢字)の桁数もしくはバイト数がオーバーしております。60byte以下（ 半角40 桁以下、 全角20 桁以下）'
			),
			'A081010701' => array( 'label' => '購入者TEL なし', 'description' => '購入者TEL の設定がありません。' ),
			'A081010702' => array( 'label'       => '購入者TEL 桁数誤り',
			                       'description' => '購入者TEL の桁数に誤りがございます。8 桁以上,13 桁以下を設定ください。'
			),
			'A081010704' => array(
				'label'       => '購入者TEL 文字種別誤り',
				'description' => '購入者TEL に半角数字、「- （半角ハイフン）」以外の文字種別が設定されております。'
			),
			'A081010801' => array( 'label' => '購入者E-Mail なし', 'description' => '購入者E-Mail の設定がありません。' ),
			'A081010802' => array(
				'label'       => '購入者E-Mail の桁数オーバー',
				'description' => '購入者E-Mail の桁数をオーバーしております。64 桁以下にして頂きますようお願い致します。'
			),
			'A081010871' => array( 'label'       => '購入者E-Mail 誤り',
			                       'description' => '購入者E-Mail が誤っております。購入者E-Mail をご確認ください。'
			),
			'A081010872' => array(
				'label'       => '購入者 E-Mail に一部未入力あり',
				'description' => '購入者E-mail のアカウント部分 （@(アットマーク)より前）もしくはドメイン部分（@(アットマーク)より後）が入力されておりません。購入者E-mail をご確認ください。'
			),
			'A081010901' => array( 'label' => '支払回数なし', 'description' => '支払回数の設定がありません。' ),
			'A081010902' => array( 'label' => '支払回数誤り', 'description' => '支払回数の桁数が誤っております。支払回数をご確認ください。' ),
			'A081010904' => array( 'label' => '支払回数文字種別誤り', 'description' => '支払回数に半角数字以外の文字種別が設定されております。' ),
			'A081011071' => array( 'label'       => '商品名にサポート外文字あり',
			                       'description' => '商品名にサポート対象外の文字が含まれております。商品名をご確認ください。'
			),
			'A081011072' => array(
				'label'       => '商品名の桁数／バイト数オーバー',
				'description' => '商品名の桁数もしくはバイト数がオーバーしております。600byte 以下（ 半角400 桁以下、 全角200 桁以下）'
			),
			'A081011172' => array(
				'label'       => 'カード会社コード誤り',
				'description' => 'Ⅴ資料集 1.3 決済手段一覧区分 1～12 以外の値が設定されておりますので、リクエスト内容をご確認ください。'
			),
			'A081011201' => array( 'label' => 'トークンなし', 'description' => 'トークンの設定がありません。' ),
			'A081011202' => array( 'label' => 'トークンの桁数誤り', 'description' => 'トークンの桁数に誤りがございます。16 桁を設定ください。' ),
			'A081011204' => array(
				'label'       => 'トークンにサポート外文字あり',
				'description' => 'トークンにサポート対象外の文字が含まれております。トークンをご確認ください。'
			),
			'A081011371' => array(
				'label'       => '加盟店EC サイトURL なし',
				'description' => '加盟店EC サイトURL の設定がありません。３Ｄセキュア認証結果受信用のURL を設定ください。'
			),
			'A081011372' => array(
				'label'       => '加盟店EC サイトURL 桁数オーバー',
				'description' => '加盟店EC サイトURL の桁数をオーバーしております。128 桁以下にして頂きますようお願い致します。'
			),
			'A081011373' => array(
				'label'       => '加盟店EC サイトURL 3D 認証不可',
				'description' => '加盟店様EC サイトURL がhttps 形式ではございません。3D セキュアによる本人認証を行う場合は、加盟店様EC サイトURL にSSL証明書の導入が必須となります。SSL 証明書導入されていない場合は導入をご検討ください。'
			),
			'A081011471' => array( 'label' => '出荷予定日の形式誤り', 'description' => '出荷予定日の日付形式が誤っております。yyyyMMdd 形式' ),
			'A081011472' => array(
				'label'       => '出荷予定日誤り （ 過去日）',
				'description' => '出荷予定日に過去日が設定されております。有効期限をご確認下さい。'
			),
			'A081011473' => array( 'label' => '出荷予定日誤り', 'description' => '出荷予定日に誤りがあります。' ),
			'A082000001' => array( 'label' => '加盟店の決済利用不可', 'description' => '加盟店の利用可能登録(パソコン)が「利用する」である事' ),
			'A082000002' => array(
				'label'       => 'クレジット決済利用開始日設定不備',
				'description' => '※ 決済方法区分が「クレジットカード」加盟店の利用可能登録(パソコン)が「利用する」で且つ、利用開始日(パソコン)を迎えている事'
			),
			'A082000003' => array( 'label' => '受付番号重複', 'description' => 'リクエスト頂いた受付番号がすでに登録されております。受付番号をご確認ください。' ),
			'A082000004' => array(
				'label'       => 'トークンのカード情報取得失敗',
				'description' => '下記2 パターンのどちらかに該当しております。リクエスト内容をご確認いただき、それぞれに合った対処をお願い致します。
							①トークンの有効期限切れ
							トークンの有効期限 （発行から30 分）を経過して、決済リクエストが送信されております。トークン発行から30 分以内に決済リクエストを送信いただくようお願いいたします。
							②トークンの再利用
							一度決済に利用されたトークンが、再度パラメータ値としてリクエストされております。トークンの再利用はできないため、都度発行いただきますようお願いします。'
			),
			'A082000005' => array(
				'label'       => 'オプションサービスの契約無し',
				'description' => 'オプションサービスの契約がございません。オプションサービス区分に「00」を設定して頂き、認証キーと出荷予定日には、値を設定しないでください。'
			),
			'A082000006' => array(
				'label'       => 'システムエラー （ カード情報取得）',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'A082000007' => array( 'label'       => 'カード支払回数誤り',
			                       'description' => 'ご利用可能なクレジットカード支払回数が設定されておりません。支払回数をご確認ください。'
			),
			'A082000008' => array(
				'label'       => 'クレジットカード情報誤り',
				'description' => 'クレジットカード決済処理において、設定されているクレジットカード番号が正しくない場合（桁数が少ないや有効期限が誤っている等）や、預けているクレジットカードの有効期限が切れている場合などに発生致します。決済を行うクレジットカード情報のご確認をお願い致します。'
			),
			'A082000010' => array(
				'label'       => '与信処理不可',
				'description' => '購入者様がご利用されているクレジットカード情報に誤りがある場合や、何らかの理由により与信処理が行えなかった場合に発生致します。
レスポンス結果として、エラー原因のコード値(与信結果エラーコード（creditErrerCode）)を返却しておりますので、ご確認ください。また、購入者に対しては、C コードまたはG コード発生の旨、メッセージ表示させて下さい。C コードやG コード発生につきましては、直接ご利用のカード会社様へお問合せ下さい。'
			),
			'A082000011' => array(
				'label'       => 'お預かり処理不可',
				'description' => '下記２パターンのどちらかに該当しております。リクエスト内容をご確認頂き、それぞれに合った対処をお願い致します。
								①「カード保有者を特定するＩＤ」、「認証キー」に紐づくクレジットカード情報が既に3 件登録されております。新たにクレジットカード情報を預ける場合は、不要なクレジットカード情報を削除（お預かり情報削除（機能区分：A05））頂き、再度お預け下さい。
								②リクエスト頂いたクレジットカード情報は、すでにお預け済み （登録済）となっております。既にお預け済み （登録済）の情報をご利用頂く場合は、お預かり情報参照 （機能区分 ：A03）にてクレジットカード情報取の上、「カード保有者を特定するＩＤ」、「認証キー」、「カード識別キー」、「最終利用日時」を設定し、リクエスト下さい。'
			),
			'A082000012' => array(
				'label'       => '各種マスタ取得失敗',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'A081011506' => array(
				'label'       => 'カード情報判定区分誤り',
				'description' => 'カード情報判定区分に「1」、「2」以外の値が設定されておりますので、リクエスト内容をご確認ください。'
			),
			'A081011571' => array(
				'label'       => 'カード情報判定区分の処理不可',
				'description' => 'カード情報判定区分に 「1」が設定されていますが、トークン発行のオプションサービス区分に「01」が設定されておりませんのでご確認ください。'
			),

			'A091010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'A091010202' => array( 'label' => '加盟店コード桁数オーバー', 'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。' ),
			'A091010204' => array( 'label' => '加盟店コード誤り', 'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。' ),
			'A091010301' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'A091010302' => array(
				'label'       => '受付番号の桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'A091010304' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
							＜利用頂ける文字種別＞
							・半角数字
							・英字大文字
							・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'A091010401' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「comp_cd」 に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091010501' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「token」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091010601' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「card_exp」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091010701' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「item_price」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091010801' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「item_tax」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091010901' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「cust_cd」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091011001' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「shop_id」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091011101' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「term_cd」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091011201' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「crd_res_cd」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091011501' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「res_code」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま 「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091011701' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「three_d_tran_id」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091011801' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「send_dt」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091011901' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「hash_value」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A091012001' => array( 'label' => '3D トークンなし', 'description' => '3D トークンの設定がありません。' ),
			'A091012002' => array(
				'label'       => '3D トークン桁数誤り',
				'description' => '3D トークンの桁数が誤っております。32 桁にして頂きますようお願いいたします。'
			),
			'A092000001' => array(
				'label'       => '受付番号重複',
				'description' => 'リクエスト頂いた受付番号がすでに登録されております。受付番号をご確認ください。'
			),
			'A092000002' => array(
				'label'       => 'システムエラー（カード情報取得）',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'A092000003' => array(
				'label'       => '3D セキュア応答電文誤り',
				'description' => '3D セキュア応答電文に誤りがございます。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'A092000004' => array( 'label' => '3D セキュア結果ＮＧ', 'description' => '３D セキュアがキャンセルされました。' ),
			'A092000005' => array(
				'label'       => '与信処理NG',
				'description' => '購入者様がご利用されているクレジットカード情報に誤りがある場合や、何らかの理由により与信処理が行えなかった場合に発生致します。レスポンス結果として、エラー原因のコード値(与信結果エラーコード （creditErrerCode）)を返却しておりますので、ご確認ください。また、購入者に対しては、C コードまたはG コード発生の旨、メッセージ表示させて下さい。C コードやG コード発生につきましては、直接ご利用のカード会社様へお問合せ下さい。'
			),
			'A092000006' => array(
				'label'       => 'お預かり処理失敗',
				'description' => '下記２パターンのどちらかに該当しております。リクエスト内容をご確認頂き、それぞれに合った対処をお願い致します。
				① 「カード保有者を特定するＩＤ」、「認証キー」に紐づくクレジットカード情報が既に3 件登録されております。新たにクレジットカード情報を預ける場合は、不要なクレジットカード情報を削除 （お預かり情報削除 （機能区分：A05））頂き、再度お預け下さい。
				②リクエスト頂いたクレジットカード情報は、すでにお預け済み （登録済）となっております。既にお預け済み（登録済）の情報をご利用頂く場合は、お預かり情報参照 （機能区分 ：A03）にてクレジットカード情報取得の上、「カード保有者を特定するＩＤ」、「認証キー」、「カード識別キー」、「最終利用日時」を設定し、リクエスト下さい。'
			),

			'G061010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'G061010202' => array( 'label' => '加盟店コード桁数オーバー', 'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。' ),
			'G061010204' => array( 'label' => '加盟店コード誤り', 'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。' ),
			'G061010301' => array( 'label' => '端末区分なし', 'description' => '端末区分の設定がありません。' ),
			'G061010306' => array( 'label'       => '端末区分誤り',
			                       'description' => '端末区分に 「1」、「2」以外の値が設定されておりますので、リクエスト内容をご確認ください。'
			),
			'G061010401' => array( 'label' => '継続課金受付番号なし', 'description' => '継続課金受付番号の設定がありません。' ),
			'G061010402' => array(
				'label'       => '継続課金受付番号の桁数オーバー',
				'description' => '継続課金受付番号の桁数をオーバーしております。
18 桁以下にして頂きますようお願い致します。'
			),
			'G061010404' => array(
				'label'       => '継続課金受付番号文字種別誤り',
				'description' => '継続課金受付番号にご利用頂けない文字種別が設定されております。
＜利用頂ける文字種別＞
・半角数字
・英字大文字
・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'G061010501' => array( 'label' => '決済金額なし', 'description' => '決済金額の設定がありません。' ),
			'G061010502' => array( 'label' => '決済金額オーバー', 'description' => 'ご利用可能な決済金額をオーバーしております。' ),
			'G061010504' => array( 'label' => '決済金額文字種別誤り', 'description' => '決済金額に半角数字以外の文字種別が設定されております。' ),
			'G061010571' => array( 'label' => '決済金額誤り', 'description' => '決済金額は１円以上となっております。' ),
			'G061010572' => array( 'label' => '決済上限金額オーバー', 'description' => 'ご利用可能な決済金額上限をご確認ください。' ),
			'G061010601' => array( 'label' => '購入者名(漢字)なし', 'description' => '購入者名(漢字)の設定がありません。' ),
			'G061010671' => array(
				'label'       => '購入者名(漢字)にサポート外文字あり',
				'description' => '購入者名(漢字)にサポート対象外の文字が含まれております。購入者名(漢字)をご確認ください。また、購入者名(漢字)に半角カナがご利用頂けません。'
			),
			'G061010672' => array(
				'label'       => '購入者名(漢字)の桁数／バイト数オーバー',
				'description' => '購入者名(漢字)の桁数もしくはバイト数がオーバーしております。60byte 以下（ 半角40 桁以下、 全角20 桁以下）'
			),
			'G061010701' => array( 'label' => '購入者TEL なし', 'description' => '購入者TEL の設定がありません。' ),
			'G061010702' => array(
				'label'       => '購入者TEL 桁数誤り',
				'description' => '購入者TEL の桁数に誤りがございます。8 桁以上,13 桁以下を設定ください。'
			),
			'G061010704' => array(
				'label'       => '購入者TEL 文字種別誤り',
				'description' => '購入者TEL に半角数字、「-（半角ハイフン）」以外の文字種別が設定されております。'
			),
			'G061010801' => array( 'label' => '購入者E-Mailなし', 'description' => '購入者E-Mail の設定がありません。' ),
			'G061010802' => array(
				'label'       => '購入者E-Mailの桁数オーバー',
				'description' => '購入者E-Mail の桁数をオーバーしております。64 桁以下にして頂きますようお願い致します。'
			),
			'G061010871' => array( 'label'       => '購入者E-Mail誤り',
			                       'description' => '購入者E-Mail が誤っております。購入者E-Mail をご確認ください。'
			),
			'G061010872' => array(
				'label'       => '購入者 E-Mailに一部未入力あり',
				'description' => '購入者E-mail のアカウント部分 （@(アットマーク)より前）もしくはドメイン部分（@(アットマーク)より後）が入力されておりません。購入者E-mail をご確認ください。'
			),
			'G061010901' => array( 'label' => '支払回数なし', 'description' => '支払回数の設定がありません。' ),
			'G061010902' => array( 'label' => '支払回数誤り', 'description' => '支払回数の桁数が誤っております。支払回数をご確認ください。' ),
			'G061010904' => array(
				'label'       => '支払回数文字 種別誤り',
				'description' => '支払回数に半角数字以外の文字種別が設定されております。'
			),
			'G061011001' => array( 'label' => '商品名なし', 'description' => '商品名の設定がありません。' ),
			'G061011071' => array( 'label'       => '商品名にサポート外文字あり',
			                       'description' => '商品名にサポート対象外の文字が含まれております。商品名をご確認ください。'
			),
			'G061011072' => array(
				'label'       => '商品名の桁数／バイト数オーバー',
				'description' => '商品名の桁数もしくはバイト数がオーバーしております。600byte 以下（ 半角400 桁以下、 全角200 桁以下）'
			),
			'G061011171' => array( 'label' => 'カード会社コードなし', 'description' => 'カード会社コードの設定がありません。' ),
			'G061011172' => array(
				'label'       => 'カード会社コード誤り',
				'description' => 'Ⅴ資料集 1.3 決済手段一覧区分 1～12 以外の値が設定されておりますので、リクエスト内容をご確認ください。'
			),
			'G061011201' => array( 'label' => 'トークンなし', 'description' => 'トークンの設定がありません。' ),
			'G061011202' => array( 'label' => 'トークンの桁数誤り', 'description' => 'トークンの桁数に誤りがございます。16 桁を設定ください。' ),
			'G061011204' => array(
				'label'       => 'トークンにサポート外文字あり',
				'description' => 'トークンにサポート対象外の文字が含まれております。トークンをご確認ください。'
			),
			'G061011371' => array(
				'label'       => '加盟店EC サイトURL なし',
				'description' => '加盟店EC サイトURL の設定がありません。３Ｄセキュア認証結果受信用のURL を設定ください。'
			),
			'G061011372' => array(
				'label'       => '加盟店EC サイトURL 桁数オーバー',
				'description' => '加盟店EC サイトURL の桁数をオーバーしております。128 桁以下にして頂きますようお願い致します。'
			),
			'G061011373' => array(
				'label'       => '加盟店EC サイトURL 3D 認証不可',
				'description' => '加盟店様EC サイトURL がhttps 形式ではございません。3D セキュアによる本人認証を行う場合は、加盟店様EC サイトURL にSSL 証明書の導入が必須となります。SSL 証明書導入されていない場合は導入をご検討ください。'
			),
			'G061011401' => array( 'label' => '出荷予定日なし', 'description' => '出荷予定日の設定がありません。' ),
			'G061011405' => array( 'label' => '出荷予定日の形式誤り', 'description' => '出荷予定日の日付形式が誤っております。yyyyMMdd 形式' ),
			'G061011471' => array(
				'label'       => '出荷予定日誤り（過去日）',
				'description' => '出荷予定日に過去日が設定されております。出荷予定日をご確認下さい。'
			),
			'G061011472' => array( 'label' => '出荷予定日誤り', 'description' => '出荷予定日は本日より179 日以内に設定してください。' ),
			'G061011501' => array( 'label' => '出荷サイクル（単位）なし', 'description' => '出荷サイクル（単位）の設定がありません。' ),
			'G061011502' => array(
				'label'       => '出荷サイクル（単位）の桁数オーバー',
				'description' => '出荷サイクル（単位）の桁数をオーバーしております。１桁以下にして頂きますようお願い致します。'
			),
			'G061011504' => array(
				'label'       => '出荷サイクル（単位）にサポート外文字あり',
				'description' => '出荷サイクル（単位）にサポート外文字が含まれております。出荷サイクル（単位）をご確認ください。'
			),
			'G061011601' => array( 'label' => '出荷サイクル（間隔）なし', 'description' => '出荷サイクル（間隔）の設定がありません。' ),
			'G061011602' => array(
				'label'       => '出荷サイクル（間隔）の桁数オーバー',
				'description' => '出荷サイクル（間隔）の桁数をオーバーしております。3 桁以下にして頂きますようお願い致します。'
			),
			'G061011604' => array(
				'label'       => '出荷サイクル（間隔）にサポート外文字あり',
				'description' => '出荷サイクル（間隔）にサポート外文字が含まれております。出荷サイクル（間隔）をご確認ください。'
			),
			'G061011701' => array( 'label' => '出荷サイクル（日）なし', 'description' => '出荷サイクル（日）の設定がありません。' ),
			'G061011702' => array(
				'label'       => '出荷サイクル（日）の桁数オーバー',
				'description' => '出荷サイクル（日）の桁数をオーバーしております。２桁以下にして頂きますようお願い致します。'
			),
			'G061011704' => array(
				'label'       => '出荷サイクル（日）にサポート外文字あり',
				'description' => '出荷サイクル（日）にサポート外文字が含まれております。出荷サイクル（日）をご確認ください。'
			),
			'G061011771' => array(
				'label'       => '出荷サイクルのマスタチェック',
				'description' => '設定できない出荷サイクルとなっています。出荷サイクル（単位）（間隔）（日）のいずれかをご確認ください。'
			),
			'G061011802' => array(
				'label'       => '決済結果受取URL の桁数オーバー',
				'description' => '決済結果受取URL の桁数をオーバーしております。１20 桁以下にして頂きますようお願い致します。'
			),
			'G061011871' => array( 'label'       => '決済結果受取URL の形式誤り',
			                       'description' => '決済結果受取URL の形式が誤っております。「https://」始まり'
			),
			'G062000001' => array( 'label' => '加盟店の決済利用不可', 'description' => '加盟店の利用可能登録(パソコン)が「利用する」である事' ),
			'G062000002' => array(
				'label'       => 'クレジット決済利用開始日設定不備',
				'description' => '※ 決済方法区分が「クレジットカード」加盟店の利用可能登録(パソコン)が 「利用する」で且つ、利用開始日(パソコン)を迎えている事'
			),
			'G062000003' => array( 'label' => '受付番号重複', 'description' => 'リクエスト頂いた受付番号がすでに登録されております。受付番号をご確認ください。' ),
			'G062000004' => array( 'label' => 'トークンのカード情報取得失敗', 'description' => 'トークンのカード情報取得に失敗しました。' ),
			'G062000005' => array( 'label' => 'オプションサービス区分の固定値チェック', 'description' => 'オプションサービス区分に「01」が設定されておりません。' ),
			'G062000006' => array(
				'label'       => 'システムエラー （カード情報取得）',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'G062000007' => array( 'label'       => 'カード支払回数誤り',
			                       'description' => 'ご利用可能なクレジットカード支払回数が設定されておりません。支払回数をご確認ください。'
			),
			'G062000008' => array(
				'label'       => 'クレジットカード情報誤り',
				'description' => 'クレジットカード決済処理において、設定されているクレジットカード番号が正しくない場合（桁数が少ないや有効期限が誤っている等）や、預けているクレジットカードの有効期限が切れている場合などに発生致します。決済を行うクレジットカード情報のご確認をお願い致します。'
			),
			'G062000009' => array(
				'label'       => '与信処理不可',
				'description' => '購入者様がご利用されているクレジットカード情報に誤りがある場合や、何らかの理由により与信処理が行えなかった場合に発生致します。レスポンス結果として、エラー原因のコード値(与信結果エラーコード（creditErrerCode）)を返却しておりますので、ご確認ください。また、購入者に対しては、C コードまたはG コード発生の旨、メッセージ表示させて下さい。C コードやG コード発生につきましては、直接ご利用のカード会社様へお問合せ下さい。'
			),
			'G062000010' => array(
				'label'       => 'お預かり処理不可',
				'description' => '下記２パターンのどちらかに該当しております。リクエスト内容をご確認頂き、それぞれに合った対処をお願い致します。
							①「カード保有者を特定するＩＤ」、「認証キー」に紐づくクレジットカード情報が既に3 件登録されております。新たにクレジットカード情報を預ける場合は、不要なクレジットカード情報を削除 （お預かり情報削除 （機能区分 ：A05））頂き、再度お預け下さい。
							②リクエスト頂いたクレジットカード情報は、すでにお預け済み（登録済）となっております。既にお預け済み（登録済）の情報をご利用頂く場合は、お預かり情報参照 （機能区分 ：A03）にてクレジットカード情報取得の上、「カード保有者を特定するＩＤ」、「認証キー」、「カード識別キー」、「最終利用日時」を設定し、リクエスト下さい。'
			),
			'G062000011' => array(
				'label'       => '各種マスタ取得失敗',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),

			'G071010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'G071010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'G071010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'G071010301' => array( 'label' => '継続課金受付番号なし', 'description' => '継続課金受付番号の設定がありません。' ),
			'G071010302' => array(
				'label'       => '継続課金受付番号の桁数オーバー',
				'description' => '継続課金受付番号の桁数をオーバーしております。18 桁以下にして頂きますようお願い致します。'
			),
			'G071010304' => array(
				'label'       => '継続課金受付番号文字種別誤り',
				'description' => '継続課金受付番号にご利用頂けない文字種別が設定されております。
							＜利用頂ける文字種別＞
							・半角数字
							・英字大文字
							・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'G071010401' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「comp_cd」 に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071010501' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「token」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071010601' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「card_exp」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071010701' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「item_price」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071010801' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「item_tax」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071010901' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「cust_cd」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071011001' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「shop_id」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071011101' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「term_cd」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071011201' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「crd_res_cd」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071011501' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「res_code」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま 「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071011701' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「three_d_tran_id」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071011801' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた 「send_dt」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071011901' => array(
				'label'       => '3D セキュア応答電文パラメータ誤り',
				'description' => 'リクエスト頂いた「hash_value」に値がセットされておりません。リクエスト内容をご確認ください。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G071012001' => array( 'label' => '3D トークンなし', 'description' => '3D トークンの設定がありません。' ),
			'G071012002' => array(
				'label'       => '3D トークン桁数誤り',
				'description' => '3D トークンの桁数が誤っております。32 桁にして頂きますようお願いいたします。'
			),
			'G072000001' => array(
				'label'       => '受付番号重複',
				'description' => 'リクエスト頂いた受付番号がすでに登録されております。受付番号をご確認ください。'
			),
			'G072000002' => array(
				'label'       => 'システムエラー（カード情報取得）',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'G072000003' => array(
				'label'       => '3D セキュア応答電文誤り',
				'description' => '3D セキュア応答電文に誤りがございます。3D セキュア応答電文は、加工せずそのまま「クロネコｗｅｂコレクト」へ返却してください。'
			),
			'G072000004' => array( 'label' => '3D セキュア結果ＮＧ', 'description' => '３D セキュアがキャンセルされました。' ),
			'G072000005' => array(
				'label'       => '与信処理NG',
				'description' => '購入者様がご利用されているクレジットカード情報に誤りがある場合や、何らかの理由により与信処理が行えなかった場合に発生致します。レスポンス結果として、エラー原因のコード値(与信結果エラーコード （creditErrerCode）)を返却しておりますので、ご確認ください。また、購入者に対しては、C コードまたはG コード発生の旨、メッセージ表示させて下さい。C コードやG コード発生につきましては、直接ご利用のカード会社様へお問合せ下さい。'
			),
			'G072000006' => array(
				'label'       => 'お預かり処理失敗',
				'description' => '下記２パターンのどちらかに該当しております。リクエスト内容をご確認頂き、それぞれに合った対処をお願い致します。
								① 「カード保有者を特定するＩＤ」、「認証キー」に紐づくクレジットカード情報が既に3 件登録されております。新たにクレジットカード情報を預ける場合は、不要なクレジットカード情報を削除 （お預かり情報削除 （機能区分：A05））頂き、再度お預け下さい。
								②リクエスト頂いたクレジットカード情報は、すでにお預け済み （登録済）となっております。既にお預け済み（登録済）の情報をご利用頂く場合は、お預かり情報参照 （機能区分 ：A03）にてクレジットカード情報取得の上、「カード保有者を特定するＩＤ」、「認証キー」、「カード識別キー」、「最終利用日時」を設定し、リクエスト下さい。'
			),

			'A061010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'A061010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'A061010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'A061010301' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'A061010302' => array(
				'label'       => '受付番号桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'A061010304' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
							＜利用頂ける文字種別＞
							・半角数字
							・英字大文字
							・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'A062010001' => array(
				'label'       => '受注データが存在しない',
				'description' => '受付番号の重複チェック→指定受付番号のデータが存在しない場合エラー'
			),
			'A062010002' => array( 'label' => '取消対象外', 'description' => '決済方式が「API」且つ決済手段が「クレジットカード」以外の受注は取消できません。' ),
			'A062010003' => array(
				'label'       => '取消対象外',
				'description' => '該当受注が下記状況のいずれかの為、取消が出来ません。
							・無効
							・既に取消されている
							・ 「セキュリティNG」ステータス
							・ 「取消不可」ステータス'
			),
			'A062010004' => array(
				'label'       => '決済機関に処理レコードが存在しない（クレジットカード精算済み）',
				'description' => '取消申込に対する決済機関からの結果コードが 「処理対象レコードが存在しない」の場合'
			),
			'A062010005' => array(
				'label'       => 'システムエラー(決済取消NG)',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'A062010007' => array(
				'label'       => 'システムエラー(決済取消NG)',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'A062030001' => array(
				'label'       => 'システムエラー(カード情報取得)',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),

			'A070000000' => array( 'label' => '夜間処理中', 'description' => '23：00～1:00 は、夜間処理中の為、金額変更が行えません。' ),
			'A071010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'A071010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'A071010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'A071010301' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'A071010302' => array(
				'label'       => '受付番号桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'A071010304' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
							＜利用頂ける文字種別＞
							・半角数字
							・英字大文字
							・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'A071010401' => array( 'label' => '変更後決済金額なし', 'description' => '必須チェック' ),
			'A071010402' => array( 'label' => '決済金額オーバー', 'description' => 'ご利用可能な決済金額をオーバーしております。' ),
			'A071010404' => array( 'label' => '決済金額文字種別誤り', 'description' => '決済金額に半角数字以外の文字種別が設定されております。' ),
			'A071010471' => array( 'label' => '決済金額誤り', 'description' => '決済金額は１円以上となっております。' ),
			'A071010472' => array( 'label' => '決済上限金額オーバー', 'description' => 'ご利用可能な決済金額上限をご確認ください。' ),
			'A073000001' => array(
				'label'       => '金額変更対象外',
				'description' => '該当受注が下記状況のいずれかの為、金額変更対象外です。
							・受注データが存在しない
							・決済手段がクレジット以外
							・既に取消されている'
			),
			'A073000002' => array(
				'label'       => '金額変更対象外（同梱）',
				'description' => '同梱している受注の金額変更は行えません。一度同梱を解除して頂き、再度金額変更をお願いたします。'
			),
			'A074000001' => array( 'label' => '金額変更なし', 'description' => '金額変更前の金額と金額変更後の金額が同額です。' ),
			'A075000001' => array(
				'label'       => 'システムエラー(カード情報取得)',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'A076000001' => array(
				'label'       => '変更後金額与信NG',
				'description' => '与信処理を行ったクレジットカード情報が何らかの理由により与信処理が行えなかった場合に発生致します。レスポンス結果として、エラー原因のコード値(与信結果ラーコード （creditErrerCode）)を返却しておりますので、ご確認ください。'
			),
			'A077000001' => array(
				'label'       => '変更前金額取消NG',
				'description' => 'ご利用カードの状態により、変更前金額の取消が行えなかった場合に発生致します。レスポンス結果として、エラー原因のード値(与信結果エラーコード（creditErrerCode）)を返却してりますので、ご確認ください。C コードやG コード発生につきましては、直接ご利用のカード会社様へお問合せ下さい。'
			),

			'A110000000' => array( 'label' => '夜間処理中', 'description' => '23：00～1:00 は、夜間処理中の為、再与信が行えません。' ),
			'A111010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'A111010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'A111010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'A111010301' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'A111010302' => array(
				'label'       => '受付番号桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'A111010304' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
						＜利用頂ける文字種別＞
						・半角数字
						・英字大文字
						・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'A112000001' => array(
				'label'       => '加盟店のクレジット利用不可',
				'description' => '※ 決済方法区分が「クレジット」→ 加盟店の利用可能登録(パソコン)が 「利用する」で且つ、利用開始日(パソコン)を迎えている事'
			),
			'A112000002' => array(
				'label'       => '再与信対象外',
				'description' => '該当受注が下記状況のいずれかの為、再与信対象外です。
								・受注データが存在しない
								・決済手段がApple Pay またはクレジット以外
								・ステータスが下記以外
								与信完了
								精算確定待ち（ヤマト伝票のみ）
								取消 ※１'
			),
			'A112000003' => array(
				'label'       => 'システムエラー(カード情報取得)',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'A112000004' => array(
				'label'       => '再与信NG',
				'description' => '与信処理を行ったクレジットカード情報が何らかの理由により与信処理が行えなかった場合に発生致します。レスポンス結果として、エラー原因のコード値(与信結果エラーコード （creditErrerCode）)を返却しておりますので、ご確認ください。'
			),

			'A031010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'A031010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'A031010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'A031010301' => array( 'label' => 'カード保有者を特定するID なし', 'description' => 'クレジットカード保有者を特定するID の設定がありません。' ),
			'A031010302' => array(
				'label'       => 'カード保有者を特定するID 桁数オーバー',
				'description' => 'クレジットカード保有者を特定するID（会員ID）の桁数をオーバーしております。64 桁以下にして頂きますようお願い致します。'
			),
			'A031010401' => array( 'label' => '認証キーなし', 'description' => '認証キーの設定がありません。' ),
			'A031010402' => array(
				'label'       => '認証キー桁数オーバー',
				'description' => '認証キーの桁数をオーバーしております。8 桁以下にして頂きますようお願い致します。'
			),
			'A031010501' => array( 'label' => 'チェックサムなし', 'description' => 'チェックサムの設定がありません。' ),
			'A031010371' => array(
				'label'       => 'カード保有者を特定するID 文字種別誤り',
				'description' => 'カード保有者を特定するID に半角英数字以外の文字種別が設定されております。'
			),
			'A031010471' => array( 'label' => '認証キー文字種別誤り', 'description' => '認証キーに半角英数字以外の文字種別が設定されております。' ),
			'A031010571' => array(
				'label'       => 'チェックサム誤り',
				'description' => 'チェックサムのパラメータ値が正常に生成されておりません。
								下記チェックサム生成手順をご参照頂き、生成方法をご確認ください。
								【チェックサム生成手順】
								「カード保有者を特定するＩＤ（項目名 ：member_id）」、「認証キー（項目名：authentication_key）」、「アクセスキー（登録完了書に記載）」の3 項目を左記順番に連結、ハッシュ化(SHA256)した結果を16 進表記(小文字)で設定してください。'
			),
			'A032000001' => array( 'label' => 'オプションサービスの契約無し', 'description' => 'オプションサービスの契約がございません。' ),
			'A033000001' => array( 'label' => 'お預かり情報の取得エラー', 'description' => 'お預かりデータ取得時エラー' ),


			'A041010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'A041010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'A041010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'A041010301' => array( 'label'       => 'カード保有者を特定するID なし',
			                       'description' => 'クレジットカード保有者を特定するID（会員ID）の設定がありません。'
			),
			'A041010302' => array(
				'label'       => 'カード保有者を特定するID 桁数オーバー',
				'description' => 'クレジットカード保有者を特定するID（会員ID）の桁数をオーバーしております。64 桁以下にして頂きますようお願い致します。'
			),
			'A041010401' => array( 'label' => '認証キーなし', 'description' => '認証キーの設定がありません。' ),
			'A041010402' => array(
				'label'       => '認証キー桁数オーバー',
				'description' => '認証キーの桁数をオーバーしております。8 桁以下にして頂きますようお願い致します。'
			),
			'A041010501' => array( 'label' => 'チェックサムなし', 'description' => 'チェックサムの設定がありません。' ),
			'A041010601' => array( 'label' => 'カード識別キーなし', 'description' => 'カード識別キーの設定がありません。' ),
			'A041010606' => array(
				'label'       => 'カード識別キー誤り',
				'description' => 'カード識別キーに「1」「2」｢3」以外の値が設定されておりますので、リクエスト内容をご確認ください。'
			),
			'A041010705' => array(
				'label'       => 'カード有効期限日付形式誤り',
				'description' => 'クレジットカード有効期限の日付形式が誤っております。MMyy 形式（例:有効期限が2017 年10 月ならば、「1017」）'
			),
			'A041010804' => array(
				'label'       => 'カード名義人文字種別誤り',
				'description' => 'カード名義人にご利用頂けない文字種別が設定されております。
								＜利用頂ける文字種別＞
								・半角英字
								・使用可能記号→「-」「.」「,」'
			),
			'A041010906' => array(
				'label'       => 'カード会社コード(API 用)誤り',
				'description' => 'Ⅴ資料集 1.3 決済手段一覧区分 1～12 以外の値が設定されておりますので、リクエスト内容をご確認ください。'
			),
			'A041011001' => array( 'label' => '最終利用日時なし', 'description' => '必須チェック' ),
			'A041011005' => array( 'label' => '最終利用日時形式誤り', 'description' => '最終利用日時の日時形式が誤っております。yyyyMMddHHmmss 形式' ),
			'A041010371' => array(
				'label'       => 'カード保有者を特定するID 文字種別誤り',
				'description' => 'カード保有者を特定するID に半角英数字以外の文字種別が設定されております。'
			),
			'A041010471' => array( 'label' => '認証キー文字種別誤り', 'description' => '認証キーに半角英数字以外の文字種別が設定されております。' ),
			'A041010571' => array(
				'label'       => 'チェックサム誤り',
				'description' => 'チェックサムのパラメータ値が正常に生成されておりません。下記チェックサム生成手順をご参照頂き、生成方法をご確認ください。 【チェックサム生成手順】 「カード保有者を特定するＩＤ（項目名：member_id）」、「認証キー （ 項目名 ：authentication_key）」、「アクセスキー（登録完了書に記載）」の3 項目を左記順番に連結、ハッシュ化(SHA256)した結果を16 進表記(小文字)で設定してください。'
			),
			'A041010771' => array(
				'label'       => 'カード有効期限誤り',
				'description' => 'クレジットカード有効期限に過去日が設定されております。有効期限をご確認下さい。'
			),
			'A042000001' => array( 'label' => '加盟店の決済利用不可', 'description' => '加盟店の利用可能登録(パソコン)が「利用する」である事' ),
			'A042000002' => array(
				'label'       => '加盟店のクレジット利用不可',
				'description' => '※ 決済方法区分が「クレジット」→ 加盟店の利用可能登録(パソコン)が 「利用する」で且つ、利用開始日(パソコン)を迎えている事'
			),
			'A042000003' => array( 'label' => '加盟店のお預かりサービス利用不可', 'description' => '加盟店のお預かりサービス利用が「利用可能」である事' ),
			'A042000004' => array( 'label' => '加盟店のカード会社利用不可', 'description' => 'カード会社コード(API 用)に紐付く、カード会社コードが取得出来る事' ),
			'A043000001' => array(
				'label'       => '最終利用日時誤り',
				'description' => '最終利用日時が誤っております。お預かり情報参照 （機能区分：A03）にて取得したクレジットカード情報の認証キーに紐づく最終利用日時を設定してください。'
			),
			'A043000002' => array( 'label' => 'カード情報変更なし', 'description' => 'クレジットカード情報の内容変更がございませんでした。' ),
			'A043000003' => array(
				'label'       => 'システムエラー（カード情報取得）',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),
			'A044000001' => array(
				'label'       => 'お預かりカード情報有効性チェックNG',
				'description' => 'クレジットカード情報に誤りがある場合や、何らかの理由により有効と判断されなかった場合に発生致します。レスポンス結果として、エラー原因のコード値(与信結果エラーコード （creditErrerCode）)を返却しておりますので、ご確認ください。C コードやG コード発生につきましては、直接ご利用のカード会社様へお問合せ下さい。'
			),
			'A045000001' => array(
				'label'       => 'システムエラー（カード情報取得）',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),

			'A051010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'A051010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'A051010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'A051010301' => array( 'label' => 'カード保有者を特定するID なし', 'description' => 'クレジットカード保有者を特定するID の設定がありません。' ),
			'A051010302' => array(
				'label'       => 'カード保有者を特定するID 桁数オーバー',
				'description' => 'クレジットカード保有者を特定するID（会員ID）の桁数をオーバーしております。64 桁以下にして頂きますようお願い致します。'
			),
			'A051010401' => array( 'label' => '認証キーなし', 'description' => '認証キーの設定がありません。' ),
			'A051010402' => array(
				'label'       => '認証キー桁数オーバー',
				'description' => '認証キーの桁数をオーバーしております。8 桁以下にして頂きますようお願い致します。'
			),
			'A051010501' => array( 'label' => 'チェックサムなし', 'description' => 'チェックサムの設定がありません。' ),
			'A051010601' => array( 'label' => 'カード識別キーなし', 'description' => 'カード識別キーの設定がありません。' ),
			'A051010606' => array(
				'label'       => 'カード識別キー誤り',
				'description' => 'カード識別キーに「1」「2」｢3」以外の値が設定されておりますので、リクエスト内容をご確認ください。'
			),
			'A051010701' => array( 'label' => '最終利用日時なし', 'description' => '必須チェック' ),
			'A051010705' => array( 'label' => '最終利用日時形式誤り', 'description' => '最終利用日時の日時形式が誤っております。yyyyMMddHHmmss 形式' ),
			'A051010371' => array(
				'label'       => 'カード保有者を特定するID 文字種別誤り',
				'description' => 'カード保有者を特定するID に半角英数字以外の文字種別が設定されております。'
			),
			'A051010471' => array( 'label' => '認証キー文字種別誤り', 'description' => '認証キーに半角英数字以外の文字種別が設定されております。' ),
			'A051010571' => array(
				'label'       => 'チェックサム誤り',
				'description' => 'チェックサムのパラメータ値が正常に生成されておりません。
							下記チェックサム生成手順をご参照頂き、生成方法をご確認ください。
							【チェックサム生成手順】
							「カード保有者を特定するＩＤ（項目名 ：member_id）」、「認証キー（項目名：authentication_key）」、「アクセスキー（登録完了書に記載）」の3 項目を左記順番に連結、ハッシュ化(SHA256)した結果を16 進表記(小文字)で設定してください。'
			),
			'A052000001' => array( 'label' => 'オプションサービスの契約無し', 'description' => 'オプションサービスの契約がございません。' ),
			'A053000001' => array(
				'label'       => '最終利用日時誤り',
				'description' => '最終利用日時が誤っております。お預かり情報参照 （機能区分：A03）にて取得したクレジットカード情報の認証キーに紐づく最終利用日時を設定してください。'
			),
			'A054000001' => array(
				'label'       => 'システムエラー（カード情報取得）',
				'description' => 'システムエラーが発生しています。時間をおいて再度リクエストしてください。時間をおいても解決しない場合はカスタマーサービスセンターまでお問合せください。'
			),

			'E011010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'E011010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'E011010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'E011010301' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'E011010302' => array(
				'label'       => '受付番号桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'E011010304' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
								＜利用頂ける文字種別＞
								・半角数字
								・英字大文字
								・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'E011010401' => array( 'label' => '送り状番号なし', 'description' => '必須チェック' ),
			'E011010402' => array( 'label' => '送り状番号の桁数不正', 'description' => '桁数チェック→ 12 桁固定' ),
			'E011010404' => array( 'label' => '送り状番号に禁止文字あり', 'description' => '文字種別チェック' ),
			'E011010251' => array( 'label' => '加盟店が出荷情報登録不可', 'description' => '・物流加盟店で決済が可能でない場合はエラー' ),
			'E011010351' => array(
				'label'       => '受注データ不正',
				'description' => '受注データが存在しない場合
								出荷情報登録、出荷情報登録_その他
								→ 出荷情報登録可能な状態ではない場合（既に出荷済み等）
								売上確定登録
								→ 売上確定登録可能な状態ではない場合（既に売上確定済み等）'
			),
			'E011010451' => array(
				'label'       => '伝票番号不正',
				'description' => '以下の3 つのチェックによるエラー
							・セブンチェック（先頭11 桁÷7 の余りが末尾1 桁）
							・伝票番号有効性チェック
							・メール便使用可否チェック'
			),
			'E012000001' => array(
				'label'       => '伝票登録済みエラー',
				'description' => '・伝票登録時、受注データに伝票が既に登録されている場合エラー・同梱時、送り状番号に対応する伝票が、他の加盟店で登録されていた場合エラー'
			),
			'E012000002' => array( 'label' => '伝票番号が99 件超', 'description' => '複数伝票登録時、伝票番号が99 件を超える場合エラー' ),
			'E012000003' => array( 'label' => '同梱の合計金額が30 万円超', 'description' => '同梱時同梱の合計金額が30 万円を超える場合エラー' ),
			'E012000004' => array( 'label' => '同梱対象が既に3 件以上登録済み', 'description' => '同梱対象が既に3 件以上登録されている場合エラー' ),
			'E012000005' => array( 'label'       => '登録済み受注データが修正不可',
			                       'description' => '既に同梱済みの受注データが条件を満たしていない場合エラー無効受注ステータス'
			),
			'E012000006' => array(
				'label'       => '伝票登録しようとした伝票が同梱済み',
				'description' => '既に同梱されている受注データに対して、新しい伝票を登録しようとした場合エラー'
			),
			'E013000001' => array( 'label' => '排他制御エラー', 'description' => '更新時に該当データが既に更新済みであった場合' ),

			'E021010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'E021010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'E021010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'E021010301' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'E021010302' => array(
				'label'       => '受付番号桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'E021010304' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
								＜利用頂ける文字種別＞
								・半角数字
								・英字大文字
								・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'E021010401' => array( 'label' => '送り状番号なし', 'description' => '必須チェック' ),
			'E021010402' => array( 'label' => '送り状番号の桁数不正', 'description' => '桁数チェック→ 12 桁固定' ),
			'E021010404' => array( 'label' => '送り状番号に禁止文字あり', 'description' => '文字種別チェック' ),
			'E021010251' => array(
				'label'       => '加盟店の状態が出荷情報取消不可',
				'description' => '・加盟店情報が物流以外の場合はエラー・クレジットカード決済が可能ではない場合はエラー'
			),
			'E021010351' => array(
				'label'       => '受注データ不正',
				'description' => '・受注データが存在しない場合出荷情報登録可能な状態ではない場合（既に出荷済み等）
								・売上確定登録可能な状態ではない場合（既に売上確定済み等）
								・非物流加盟店でクレジット決済以外の受注'
			),
			'E022000001' => array( 'label' => '伝票データ紐付けエラー', 'description' => '受注データと伝票紐付けデータが正しく紐付けられていない場合' ),
			'E022000002' => array( 'label'       => '複数伝票取消エラー',
			                       'description' => '複数伝票の取消時、受注データに紐づく伝票が、他の受注データを同梱していた場合エラー'
			),
			'E022000003' => array( 'label' => '登録済み受注データが修正不可', 'description' => '同梱取消時対象外受注データが条件を満たしていない場合エラー' ),
			'E023000001' => array( 'label' => '排他制御エラー', 'description' => '更新時に該当データが既に更新済みであった場合' ),

			'E031010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'E031010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'E031010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'E031010301' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'E031010302' => array(
				'label'       => '受付番号桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'E031010304' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
						＜利用頂ける文字種別＞
						・半角数字
						・英字大文字
						・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
			'E031010401' => array( 'label' => '出荷予定日なし', 'description' => '必須チェック' ),
			'E031010405' => array( 'label' => '出荷予定日形式誤り', 'description' => '出荷予定日の日付形式が誤っております。yyyyMMdd 形式' ),
			'E032000001' => array( 'label' => '加盟店のオプションサービス利用不可', 'description' => '加盟店のオプションサービス利用設定が利用不可の場合' ),
			'E031010351' => array( 'label' => '受付番号の受注データ不正', 'description' => '変更可能な受注データが存在しない場合' ),
			'E031010471' => array( 'label' => '出荷予定日下限チェック不正（過去日チェック）', 'description' => '出荷予定日に過去日付が入力されている場合' ),
			'E031010472' => array(
				'label'       => '出荷予定日上限チェック不正（与信承認日より90 日が上限）',
				'description' => '変更後出荷予定日の設定可能な上限日を超過している場合'
			),
			'E033000001' => array( 'label' => '排他制御エラー', 'description' => '更新時に該当データが既に更新済みであった場合' ),

			'E041010201' => array( 'label' => '加盟店コードなし', 'description' => '加盟店コードの設定がありません。' ),
			'E041010202' => array(
				'label'       => '加盟店コード桁数オーバー',
				'description' => '加盟店コードの桁数をオーバーしております。加盟店コードをご確認ください。'
			),
			'E041010204' => array(
				'label'       => '加盟店コード誤り',
				'description' => '半角英数以外の値が設定されております。加盟店コードをご確認ください。'
			),
			'E041010301' => array( 'label' => '受付番号なし', 'description' => '受付番号の設定がありません。' ),
			'E041010302' => array(
				'label'       => '受付番号桁数オーバー',
				'description' => '受付番号の桁数をオーバーしております。23 桁以下にして頂きますようお願い致します。'
			),
			'E041010304' => array(
				'label'       => '受付番号文字種別誤り',
				'description' => '受付番号にご利用頂けない文字種別が設定されております。
							＜利用頂ける文字種別＞
							・半角数字
							・英字大文字
							・使用可能記号「#」「-」「*」「/」「<」「>」「:」「@」'
			),
		);

	/**
	 * statusのラベルを返す
	 *
	 * @param string $code ステータスコード
	 *
	 * @return mixed|string
	 */
	public static function statusInfoLabel( $code ) {
		return isset( self::$StatusInfos[ $code ] ) ? self::$StatusInfos[ $code ] : '';
	}

	/**
	 * 決済方法のラベルを返す
	 *
	 * @param string $code
	 *
	 * @return mixed|string
	 */
	public static function settlementMethodLabel( $code ) {
		return isset( self::$SettlementMethods[ $code ] ) ? self::$SettlementMethods[ $code ] : '';
	}

	/**
	 * エラーラベル
	 *
	 * @param $code
	 *
	 * @return mixed|string
	 */
	public static function errorLabel( $code ) {
		if ( isset( self::$CGErrorCodes[ $code ] ) ) {
			return self::$CGErrorCodes[ $code ];
		} elseif ( isset( self::$secure3DErrorCodes[ $code ] ) ) {
			return self::$secure3DErrorCodes[ $code ]['label'];
		} elseif ( isset( self::$APIErrorCodes[ $code ] ) ) {
			return self::$APIErrorCodes[ $code ]['label'];
		}

		return '';
	}

	/**
	 * エラーの説明文
	 *
	 * @param $code
	 *
	 * @return mixed|string
	 */
	public static function errorDescription( $code ) {
		if ( isset( self::$CGErrorCodes[ $code ] ) ) {
			return self::$CGErrorCodes[ $code ];
		} elseif ( isset( self::$secure3DErrorCodes[ $code ] ) ) {
			return self::$secure3DErrorCodes[ $code ]['description'];
		} elseif ( isset( self::$APIErrorCodes[ $code ] ) ) {
			return self::$APIErrorCodes[ $code ]['description'];
		}

		return '';
	}
}

